home *** CD-ROM | disk | FTP | other *** search
/ OS/2 Shareware BBS: 4 Drivers / 04-Drivers.zip / viabus.zip / 580_238.EXE / arj / UNIX / INSTALL next >
Text File  |  1998-01-06  |  2KB  |  76 lines

  1. PATH=/bin:/usr/bin:/etc ; export PATH 
  2.  
  3. clear
  4. echo "This install script will extract the \"VIA Bus Master PCI IDE device driver\""
  5. echo "from the \"Bus Master PCI IDE Device Drivers\" which is prepared"
  6. echo "with the DOS format."
  7. echo "Would you continue to this install script (y/n)?\c"
  8. read i
  9. [ "$i" = "n" -o "$i" = "N" ] && exit 0
  10.  
  11. [ -d /tmp/viaide ] || mkdir /tmp/viaide
  12. cd /tmp/viaide
  13. doscp -r a:/unix/viaide.tar .
  14. doscp -r a:/unix/viaunix.dat /tmp/viaunix.dat 2>/dev/null
  15.  
  16. echo "
  17. **** Remove the "VIA Bus Master PCI IDE Device Drivers" **** 
  18. and insert a new blank 1.2 MB (5.25\") or 1.44 MB (3.5\") into floppy drive A. 
  19. The floppy drive A is the first floppy drive on the SCO UNIX.\n"
  20.  
  21. while true
  22. do
  23.     echo "Type 1 : Use 1.2 MB (5.25\") floppy drive.
  24. Type 2 : Use 1.44 MB (3.5\") floppy drive.
  25. Type q : Exit the installation.
  26. Please enter your choice: (1/2/q) \c" >&2
  27.  
  28.     read i
  29.  
  30.     [ "$i" = "q" -o "$i" = "Q" ] && exit 1
  31.     if [ "$i" = "1" -o "$i" = "2" ] 
  32.     then
  33.     echo "\nDo you want to format the diskette? (y/n)\c" >&2
  34.  
  35.     read yn
  36.  
  37.     if [ "$yn" = "y" -o "$yn" = "Y" ]
  38.     then 
  39.         if [ "$i" = "1" ]
  40.         then    
  41.             format -f /dev/rfd096
  42.         else 
  43.             format -f /dev/rfd0135ds18
  44.         fi
  45.     fi
  46.     if [ $? = "1" ] 
  47.     then 
  48.         echo "\nThe format of the diskette failed, try another one.\n"
  49.         continue
  50.     fi
  51.     else
  52.     echo "\nPlease type 1, 2 or q only.\n"
  53.     continue
  54.     fi
  55.  
  56.     if [ "$i" = "1" ]
  57.     then    
  58.         dd if=viaide.tar of=/dev/fd096 
  59.     else 
  60.         dd if=viaide.tar of=/dev/fd0135ds18 
  61.     fi
  62.  
  63.     if [ $? != "0" ]
  64.     then
  65.     echo "\nDisk copy failed. Please type again.\n"
  66.     continue
  67.     fi
  68.  
  69.     echo ""
  70. echo "The conversion is successfully from DOS format to SCO UNIX format.
  71. Please follow the \"custom\" command to install the 
  72. \"VIA Bus Master PCI IDE Device Driver\" to your SCO UNIX system."
  73.     rm -f /tmp/install
  74.     exit 0
  75. done
  76.